%define ver_major 2.6
%def_disable static

Name: libwnck
Version: %ver_major.2.1
Release: alt1

Summary: General Window Manager interfacing for GNOME utilities
License: LGPL
Group: System/Libraries
URL: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Packager: Yuri N. Sedunov <aris@altlinux.ru>

%define gtk_ver 2.4.2
%define startup_notification_ver 0.5

Requires: libgtk+2 >= %gtk_ver
Requires: libstartup-notification >= %startup_notification_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver

# Automatically added by buildreq on Tue Mar 23 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel libatk-devel libgtk+2-devel libpango-devel libstartup-notification-devel libstdc++-devel pkgconfig

%description
General Window Manager interfacing for gnome utilities.
This library is a part of the GNOME 2 platform.

%package devel
Summary: Header and development libraries for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver

%description devel
Header, docs and development libraries for %name

%package devel-static
Summary: Static libraries and objects for %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package contains the General Window Manager interfacing static
libraries and objects.

%prep
%setup -q
%__subst "s,\(localedir = \).*$,\1/usr/share/locale," po/Makefile*

%build
%configure \
    %{subst_enable static}

%make_build wncklocaledir=%_datadir/locale

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Jul 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2.1-alt1
- 2.6.2.1

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.1-alt1
- 2.5.1

* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- do not package .la files.
- do not build devel-static subpackage by default.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Feb 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.17-alt1
- fix changelog entry

* Thu Jun 20 2002 Igor Androsov <blake@altlinux.ru> 0.14-alt1
- Initial build for AltLinux
- Many fixes spec

* Wed May 15 2002 Igor Androsov <blace@mail.ru> 0.11-blk0.1
- New source from CVS
- Added BuildRequires

* Sat May 11 2002 Igor Androsov <blace@mail.ru> 0.9-blk0.1
- New source from CVS
- Minor fixes .spec file
- Moved static libraries to devel-static

* Mon Jan 28 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 0.2-3
- cleaned up dependancies, according to docs that Chris sent me.
- disabled libtoolize

* Sat Jan 19 2002 Chris Chabot <chabotc@reviewboard.com>
- Changed description from 'atk' to 'libwnck' ;)
- Modified configure, make, make install and clean parts
- Added a lot of Requires and BuildRequires (as defined by ./configure)
- Changed description from 'windowmanager thingies' to something more usefull
- Modified change log entry below from 'Jun 16 2002' to 'Jan 16', duh
- Minor cleanups

* Tue Jan 16 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- created new spec file

